package ru.kayashov.bar.bot.domain.methods;

import lombok.Builder;
import lombok.Getter;
import ru.kayashov.bar.bot.domain.Bot;

@Getter
public class AbstractDeleteMessage extends AbstractMethod {

    Integer messageId;

    @Builder
    public AbstractDeleteMessage(Long chatId, Integer messageId) {
        super(chatId);
        this.messageId = messageId;
    }

    @Override
    public void execute(Bot nBot) {
        nBot.deleteMessage(this);
    }
}
